Subject: RE: Revised WG Charter Proposal

From: Christopher Apple <[email-masked]>
Date: Wed, 7 Nov 2001 22:41:10 -0500

Kurt,

This text to me sounds like its attempting to
write in liaison activities between the IETF
LDUP WG and the ITU. Such text is clearly out
of scope for any IETF WG according to our ADs
given that there is an official liaison between
the IETF and the ITU.

These sorts of concerns should be explicitly
addressed via the person who currently
occupies that role within the IESG. I can
certainly supply this information to that
person or you can - please let John and I
know which way you'd prefer that be handled.

With that said, while it is not appropriate
to write in such liaison activities without
an explicit requirement from our ADs/the IESG
to do so, it would be appropriate to discuss
the technical merit of both approaches during
the discussion around the soon-to-be-published
revision of the General Usage Profile draft.

The General Usage Profile draft will contain
information about multi-master replication.

Similarly, it would be appropriate to discuss
concerns over alignment (or lack thereof) of
any WG document while that document is being
actively discussed on the mailing list.

I cannot conceive a way to legitimately
add this text to the WG Charter given the
position of our ADs and the IETF in general
on liaison activities with other standards
bodies. 

Chris Apple
Program Manager - Integration Services
United Messaging Inc.
<http://www.unitedmessaging.com>
<mailto:[email-masked]> 
(V) +1 610 425 2860

-----Original Message-----
From: Kurt D. Zeilenga [mailto:[email-masked]]
Sent: Tuesday, November 06, 2001 10:04 PM
To: Christopher Apple
Cc: [email-masked]'; John Strassner (E-mail)
Subject: Re: Revised WG Charter Proposal

I am convinced the WG will need to extend the X.500 models
in order to deliver a multi-master replication specification
which meets the WG requirements.  This activity does not
appear to be presently within scope of the current or proposed
charter.  As the issue of whether this work is within scope or
not has come up previously, I believe the charter should be
clarified in this area.

If the consensus is this work is within scope, I suggest:

  This WG will deliver a technical specification updates the
  X.500 models used by LDAP to support multi-master replication
  yet maintain consistency with the existing models when
  restricted to single-master replication.

otherwise I suggest:
  This WG will deliver specifications which extend, but do
  not update or replace, the X.500 models used by LDAP.

Note that I believe that this work is not within scope and
should remain so and hence recommend the latter clarification.

Kurt

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 07 Nov 2001 20:35:38 -0800

At 07:41 PM 2001-11-07, Christopher Apple wrote:
>LDUP WG and the ITU.

No.

I am attempting to add text to the charter which
clarifies whether or not redefining the "X.500
data model as used by LDAP" [RFC2251, Section 3.2
& 3.3] is within scope or not of this working group.

As chair, what is your opinion?
Can this WG (under its present charter or the proposed
charter) redefine the "X.500 data model as used
by LDAP" or not?

Kurt